@import url("https://fonts.googleapis.com/css2?family=Momo+Trust+Display&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Playfair+Display&display=swap");

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html,
body {
  height: 100%;
  margin: 0;
  padding: 0;
}

main {
  min-height: 100vh;
  width: 100%;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  align-items: center;
  align-content: center;
  background: linear-gradient(180deg, #2e0470 0%, #9619b1 100%);
}

.ef-container {
  width: 100%;

  padding: 65px 65px 30px;
  overflow: hidden;
  min-height: 100vh;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

@media only screen and (min-width: 360px) and (max-width: 600px) {
  .ef-container {
    padding: 20px;
  }
}

@media only screen and (min-width: 610px) and (max-width: 1024px) {
  .ef-container {
    padding: 20px;
  }
}

@media (max-width: 480px) {
  .ef-container {
    padding: 22px 18px 28px;
  }
}

.ef-review {
  display: flex;
  width: 100%;
  justify-content: center;
  margin-bottom: 25px;
}

.ef-review--button {
  width: auto;
  height: auto;
  padding: 10px 16px;
  border-radius: 30px;
  color: #fff;
  background: #ffffff1a;
  border: 0.6px solid #ffffff33;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5px;
  font-size: 16px;
  line-height: 1.2;
}

.ef-title {
  margin-bottom: 25px;
  width: 100%;
}

.ef-title h1 {
  font-weight: 900;
  font-size: 70px;
  line-height: 75px;
  letter-spacing: 0px;
  text-align: center;
  color: #d8d8d8;
  font-family: "Momo Trust Display", sans-serif;
}

@media (max-width: 1440px) {
  .ef-title h1 {
    font-size: 55px;
    line-height: 55px;
  }
}

@media only screen and (min-width: 360px) and (max-width: 600px) {
  .ef-title h1 {
    font-size: 28px;
    line-height: 32px;
    text-align: center;
  }
}

@media only screen and (min-width: 610px) and (max-width: 1024px) {
  .ef-title h1 {
    font-size: 38px;
    line-height: 38px;
    text-align: left;
  }
}

@media only screen and (min-width: 1025px) and (max-width: 1090px) {
  .ef-title h1 {
    font-size: 60px;
    line-height: 60px;
    text-align: left;
  }
}

.ef-subtitle {
  margin-bottom: 55px;
  width: 100%;
  font-family: "Playfair Display", serif;
}

.ef-subtitle--mob {
  display: none;
}

@media only screen and (min-width: 360px) and (max-width: 600px) {
  .ef-subtitle--mob {
    display: flex;
    font-size: 16px !important;
    line-height: 22px !important;
    text-align: center !important;
  }
}

@media only screen and (min-width: 610px) and (max-width: 1024px) {
  .ef-subtitle--mob {
    display: flex;
    font-size: 20px !important;
    line-height: 24px !important;
    text-align: left !important;
  }
}

.ef-subtitle p {
  font-weight: 600;
  font-size: 24px;
  line-height: 32px;
  letter-spacing: 0px;
  text-align: center;
  color: #ffffffcc;
}

@media only screen and (min-width: 360px) and (max-width: 600px) {
  .ef-subtitle p:first-child {
    display: none;
  }
}

@media only screen and (min-width: 610px) and (max-width: 1024px) {
  .ef-subtitle p:first-child {
    display: none;
  }
}

@media only screen and (min-width: 1025px) and (max-width: 1090px) {
  .ef-subtitle p:first-child {
    display: none;
  }

  .ef-subtitle--mob {
    display: flex;
    font-size: 40px !important;
    line-height: 40px !important;
    text-align: left !important;
  }
}

.ef-midsec {
  display: flex;
  width: 100%;
  align-items: center;
  gap: 100px;
}

@media only screen and (min-width: 360px) and (max-width: 600px) {
  .ef-midsec {
    gap: 16px;
    flex-direction: column;
    align-items: flex-start;
  }
}

@media only screen and (min-width: 610px) and (max-width: 1024px) {
  .ef-midsec {
    gap: 0;
    flex-wrap: wrap;
    align-items: end;
  }
}

.ef-img {
  margin-left: -66px;
  width: 40%;
}

@media (max-width: 1440px) {
  .ef-img {
    width: 55%;
  }
}

@media only screen and (min-width: 360px) and (max-width: 600px) {
  .ef-img {
    margin-left: -18px;
    width: calc(90% + 18px);
    display: flex;
    justify-content: flex-start;
  }

  .ef-img img {
    width: 100%;
    max-width: 300px;
  }
}

@media only screen and (min-width: 610px) and (max-width: 1024px) {
  .ef-img {
    margin-left: -30px;
  }

  .ef-img img {
    width: 300px;
  }
}

.ef-store--icons {
  display: flex;
  gap: 33px;
  margin-bottom: 15px;
}

@media only screen and (min-width: 360px) and (max-width: 600px) {
  .ef-store--icons {
    display: none;
  }
}

@media only screen and (min-width: 610px) and (max-width: 1024px) {
  .ef-store--icons {
    display: none;
  }
}

.ef-store--icons div {
  width: 64px;
  height: 64px;
  color: #fff;
  background: #ffffff1a;
  border: 0.6px solid #ffffff33;
  border-radius: 16px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.ef-store--icons div img {
  width: 32px;
  height: 32px;
}

.ef-store {
  display: flex;
  flex-direction: column;
  gap: 6px;
  align-items: flex-start;
}

@media only screen and (min-width: 360px) and (max-width: 600px) {
  .ef-store {
    align-items: flex-end;
    width: 100%;
    padding-right: 12px;
  }
}

.ef-store--title {
  margin-bottom: 7px;
}

.ef-store--title h2 {
  color: #fff;
  text-transform: uppercase;
  font-size: 21px;
  font-family: "Momo Trust Display", sans-serif;
}

@media (max-width: 380px) {
  .ef-store--title h2 {
    font-size: 12px;
  }
}

@media only screen and (min-width: 390px) and (max-width: 600px) {
  .ef-store--title h2 {
    font-size: 14px;
  }
}

@media only screen and (min-width: 610px) and (max-width: 1024px) {
  .ef-store--title h2 {
    font-size: 15px;
  }
}

.ef-store--icon {
  cursor: pointer;
}

@media (max-width: 380px) {
  .ef-store--icon img {
    width: 150px;
  }
}

@media only screen and (min-width: 390px) and (max-width: 600px) {
  .ef-store--icon img {
    width: 175px;
  }
}

@media only screen and (min-width: 610px) and (max-width: 1024px) {
  .ef-store--icon img {
    width: 185px;
  }
}

@media only screen and (min-width: 1025px) and (max-width: 1090px) {
  .ef-store--icons {
    display: none;
  }

  .ef-store--icon {
    width: 85%;
  }

  .ef-store--icons div {
    width: 120px;
    height: 120px;
  }

  .ef-store--icons div img {
    width: 64px;
    height: 64px;
  }

  .ef-store--title h2 {
    font-size: 18px;
  }

  .ef-store--icon a img {
    width: 100%;
  }

  .ef-midsec {
    align-items: end;
  }
}

.ef-bottomsec {
  margin: 60px 0 75px;
  width: 100%;
  display: flex;
  justify-content: center;
}

.ef-cards {
  display: flex;
  gap: 50px;
}

@media only screen and (min-width: 360px) and (max-width: 600px) {
  .ef-bottomsec {
    display: none;
  }
}

@media only screen and (min-width: 610px) and (max-width: 1024px) {
  .ef-bottomsec {
    display: none;
  }
}

@media only screen and (min-width: 1025px) and (max-width: 1090px) {
  .ef-bottomsec {
    display: none;
  }
}

.ef-card {
  background: #ffffff1a;
  border: 0.6px solid #ffffff33;
  width: 320px;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  text-align: center;
  border-radius: 14px;
  padding: 30px;
  color: #fff;
}

.ef-card div {
  width: 64px;
  height: 64px;
  background: #ffffff33;
  border-radius: 16px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.ef-card div img {
  width: 32px;
  height: 32px;
}

.ef-card p {
  font-size: 20px;
  width: 100%;
  margin: 35px 0;
  font-family: "Momo Trust Display", sans-serif;
}

.ef-card span {
  font-size: 16px;
  font-family: "Playfair Display", serif;
}

.ef-gbb {
  display: flex;
  width: 100%;
  justify-content: center;
  margin-bottom: 40px;
}

.ef-gbb div {
  width: 400px;
  display: flex;
  justify-content: center;
  border-top: 0.6px solid #ffffff33;
  padding-top: 25px;
}

.ef-gbb img {
  width: 200px;
}

@media only screen and (min-width: 360px) and (max-width: 600px) {
  .ef-gbb {
    margin-top: 30px;
  }

  .ef-gbb div {
    width: 350px;
  }

  .ef-gbb div img {
    width: 150px;
  }
}

@media only screen and (min-width: 1025px) and (max-width: 1090px) {
  .ef-gbb {
    margin-top: 30px;
  }
  .ef-gbb div {
    display: block;
    padding: 55px 35px 0;
  }

  .ef-gbb img {
    width: 100%;
    height: auto;
  }
}

@media (max-width: 389px) {
  .ef-container {
    padding: 18px 14px 24px;
  }

  .ef-review--button {
    padding: 8px 12px;
    font-size: 14px;
  }

  .ef-title h1 {
    font-size: 24px;
    line-height: 28px;
  }

  .ef-subtitle--mob {
    font-size: 14px !important;
    line-height: 20px !important;
  }

  .ef-midsec {
    gap: 12px;
  }

  .ef-img img {
    width: 100%;
    max-width: 240px;
  }

  .ef-store--title h2 {
    font-size: 12px;
  }

  .ef-store--icon img {
    width: 140px;
  }
}
